include_directories (${GREMLIN_SOURCE_DIR}/libs/enet/include)
include_directories (${GREMLIN_SOURCE_DIR}/src)

add_library( common
	Application
	game
	Time
	Network
)

add_dependencies( common
    enet pugixml bullet
) 

target_link_libraries(common
   enet pugixml bullet
)

if (WIN32)
    target_link_libraries(common ws2_32 winmm)
endif(WIN32)
